#!/bin/bash

#PBS -N Pseudo_alignment
#PBS -l walltime=6:00:00
#PBS -l vmem=100gb
#PBS -m bea
#PBS -M aj258@le.ac.uk
#PBS -l nodes=1:ppn=15
cd $PBS_O_WORKDIR


module load kallisto/0.43.0

for file in *1_filtered.fq.gz

do

describer=$(echo ${file} | sed 's/_1_filtered.fq.gz//')

mkdir ../Kallisto_2/${describer}

kallisto quant -i /scratch/monoallelic/aj258/Nasonia_RNA/Genome/Nasonia_kal.idx -t 15 -b 100 -o ../Kallisto_2/${describer} \
${file} ${describer}_2_filtered.fq.gz

done
