#!/bin/bash

#PBS -N Assemble_and_quant_string
#PBS -l walltime=6:10:00
#PBS -l vmem=100gb
#PBS -m bea
#PBS -M aj258@le.ac.uk
#PBS -l nodes=1:ppn=8

cd $PBS_O_WORKDIR

module load stringtie/1.3.3b 

mkdir Alternitive_splicing_2

for sample in *_sorted.bam;
	do 

                describer=$(echo ${sample} | sed -e 's/_sorted.bam//')
               
                mkdir ${describer}

		stringtie ${sample} -p 8 -G /scratch/monoallelic/aj258/Nasonia_RNA/Genome/GCF_000002325.3_Nvit_2.1_genomic.gtf -o  /scratch/monoallelic/aj258/Nasonia_RNA/Alternative_splicing_2/${describer}/${describer}.gtf -l ${describer}
                
                
	done 


