#!/bin/bash

#PBS -N String_tie_Counts
#PBS -l walltime=6:10:00
#PBS -l vmem=100gb
#PBS -m bea
#PBS -M aj258@le.ac.uk
#PBS -l nodes=1:ppn=8

cd $PBS_O_WORKDIR

module load stringtie/1.3.3b 

for sample in ls GSM*;

do
 
 describer=$(echo ${sample}) 

stringtie -e -B -p 8 -G GTF_files/stringtie_merged.gtf -o ${sample}/*.gtf ../Trimmed_Reads_2/aligned/${describer}_sorted.bam

done

